/***************************************************************************
 *  A/D-Wandler
 ***************************************************************************/
#include <inttypes.h>
#include <avr/io.h>

#include "portconfig.h";


void adc_Init(void)
{
	/* externe Referenzspannung und AD-Wandlerkanal 0 ( ADC0 ) auswhlen */
	ADMUX = 0b00000; //Select ADC0, siehe Seite 102

	/* AD-Wandler einschalten und Prescaler = 64 einstellen ( enstpricht 115 khz Wandlertakt ) */
	ADCSR = (1<<ADEN)|(1<<ADPS2)|(1<<ADPS1);
}

uint16_t adc_GetValue(void)
{
	/* Wandlung starten */
	ADCSR |= (1<<ADSC);

	/* Warten bis die AD-Wandlung abgeschloen ist */
	while ( !(ADCSR & (1<<ADIF)) )
			;

	/* 
	 * AD-Wert auslesen 
	 * Messung mehrer Werte, dann mitteln
	 */

	return (ADCH<<8) | ADCL;
}
