/***************************************************************************
 *
 *  Messung der Akkuspannung
 *  ADC muss vorher inialisiert sein, siehe adc.h
 *
 ***************************************************************************/
#include <inttypes.h>
#include <avr/io.h>
#include "akku.h"

uint8_t voltagelevels[] = 
	{
		0x0000, //AKKUEMPTY
		0x0000,	//1 
		0x0000,	//2 
		0x0000, //3
		0x0000, //4
		0x0000, //5
		0x0000
	};


uint8_t akku_GetStatus(void)
{
	uint16_t 	adc_sum;
	uint8_t		adc_count;
	uint8_t		i;

	adc_count 	= 8;
	adc_sum		= 0;


	//8 Messungen vornehmen
	while (adc_count > 0)
	{
		/* Wandlung starten */
		ADCSR |= (1<<ADSC);

		/* Warten bis die AD-Wandlung abgeschloen ist */
		while ( !(ADCSR & (1<<ADIF)) )
			;

		/* AD-Wert auslesen */
		adc_sum = ((ADCH<<8) | ADCL);
	}

	//Mittelwert
	adc_sum = (adc_sum << 3);
	
	//
	for(i=5;i>0;i--)
	{
		if (adc_sum > voltagelevels[i])
			return i;
	};

	return AKKUEMPTY; 
}
