#include <avr/io.h>
#include "pwm.h"

#include "portconfig.h"


void pwm_Init(void)
{
	/*
	   PWM1A	PWM Output Pin A enable
   	*/
	TCCR1A = (1<<COM1A1)|(1<<COM1B1)|(1<<PWM1A);

	/* Einstellen der PWM-Frequenz auf 20Khz
		f=PCK/(4*Prescaler)*256/OCR1C; PCK=1Mhz
		Siehe Seite 77
	*/
	TCCR1B = (1<<CS10)|(1<<CS12); //0101 Prescaler=16
	OCR1C  = 199; 

	/* Interrupts fr Timer1 deaktivieren
	   Achtung : Auch die Interrupts fr die anderen Timer stehen in diesem Register 
	   Seite 59
	*/
	TIMSK &= ~0x3c;

	//Beide Kanle aus
	PWM_CHANNEL_1 = 0; 
	PWM_CHANNEL_2 = 0;
}

