/*
	Counter0 wird fr einen Globalen Timer benutzt.

	Verwendung fr:
	
		Blinken der Status-LED
		Prfroutine fr langen Tasterdruck
		Frequenz fr Statusled = YELLOW

	Counter1 wird fr die PWM-Ausgabe genutzt,
	siehe dazu "pwm.h"

*/

#include <avr/io.h>
#include <avr/interrupt.h>

#include "timer.h"


void timer_Init(void)
{
	/*
		Hchste Frequenz wird fr gelbe StatusLED bentigt
		Prescaler = 1024 -> 1Mhz/1024=1kHz
	*/

	TCCR0 = (1<<CS02)|(_BV(CS00)); 

	TIMSK = (1<<TOIE0);		//enable T0 overflow interrupt
	
	Timer0_Count = 0;
}




